/*
   PkgsSel-data
   Copyright (C) 1999 Jarek Woloszyn (yossa@pld.org.pl)
   $Id: pkgssel-data.h,v 1.1 2001/02/05 15:51:06 malekith Exp $
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the
   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
 */

#ifndef _PKGSEL_DATA_H_
#define _PKGSEL_DATA_H_

#include <trurl/trurl.h>

#define SEL_DIR (1<<0)
#define SEL_PACKET (1<<1)
#define SEL_ACTIVE (1<<2)

typedef struct TSelectorItem {
    int type;			/*  type - packed/dir */
    tn_array *dir;		/*  if dir then content */
    char *nameptr;		/*  if packet then ptr to name */
    char *selptr;		/*  pointer to selected */
    int pkgnum;			/*  package number in rpmmen pkgset */
    char *ver;			/*  ptr to rpm hdr */
    char *release;			/*  ptr to rpm hdr */
    int *epoch;			/*  ptr to rpm hdr */
} TSelectorItem;

extern tn_array *selGroups;

int pkgsLoadGroups();

void pkgsFreeGroups();

void pkgsCreateActive(tn_array * l);


#endif				/* _PKGSEL_DATA_H_ */
